Bug 72079 - Adding Fonts for Lao, Thai, and Khmer
Summary: Adding Fonts for Lao, Thai, and Khmer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fonts-Bundled
  Show dependency treegraph
 
Reported: 2013-11-27 17:28 UTC by Robert M Campbell
Modified: 2019-06-17 09:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
KhmerOS Font (114.96 KB, application/x-gzip)
2013-11-27 17:28 UTC, Robert M Campbell
Details
DroidSans (30.01 KB, application/x-gzip)
2013-11-27 17:28 UTC, Robert M Campbell
Details
Mittaphab Font (18.29 KB, application/x-gzip)
2013-11-27 17:29 UTC, Robert M Campbell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert M Campbell 2013-11-27 17:28:04 UTC
Created attachment 89907 [details]
KhmerOS Font

Need someone to add the attached tarballs to the http://dev-www.libreoffice.org/src/ folder. Will submit changes to gerrit myself for the external/more_fonts/* folder myself. Thanks!
Comment 1 Robert M Campbell 2013-11-27 17:28:43 UTC
Created attachment 89908 [details]
DroidSans
Comment 2 Robert M Campbell 2013-11-27 17:29:16 UTC
Created attachment 89909 [details]
Mittaphab Font
Comment 3 Robert M Campbell 2013-11-27 18:38:31 UTC
URLs for Packages:
SIL OFL Mittaphap Font
http://hg.palaso.org/font-lao2

Google Droid Sans Font
https://www.google.com/fonts#UsePlace:use/Collection:Droid+Sans

Open Institute of Cambodia Khmer OS Font
http://sourceforge.net/projects/khmer/files/Fonts%20-%20KhmerOS/KhmerOS%20Fonts%204.0-%20LGPL%20License/
Comment 4 Urmas 2013-11-27 19:07:22 UTC
That is a bad idea. Windows version does not allow selection of fonts to be installed, so there will be cluttering the user systems with that junk.
Comment 5 Eike Rathke 2013-11-27 20:01:21 UTC
I do not find license information or a package download at http://hg.palaso.org/font-lao2
There's only .gdl files and a wscript that seems to generate the font file from those and mentions license=OFL.txt but there is no OFL.txt
Apparently that is http://scripts.sil.org/OFL as http://palaso.org/ mentions partnership with SIL. At least we would have to include that license in our 3rd party licenses.

Download from https://www.google.com/fonts#UsePlace:use/Collection:Droid+Sans results in a .zip including an accompanying ALv2.

http://sourceforge.net/projects/khmer/files/Fonts%20-%20KhmerOS/ (they do have 5.0 that apparently supersedes 4.0) is LGPLv2.
Comment 6 Robert M Campbell 2013-11-28 05:24:25 UTC
Eike Rathke, the problem with Mittaphap, and all other open source fonts for Lao I've found so far, is that they only have the license info or references to the license in the font file itself, and not in a separate file. 

I know legally this is problematic if the license isn't clear. The Dhyana font on http://www.google.com/fonts/earlyaccess may be a better option in that regard since it seems the license may be more clear. I believe, however, that Mittaphap is the next version of Dhyana, so Mittaphap will be more up-to-date,unless I am mistaken.

There's also Phetsarath OT (the Lao government standard font). So, Mittaphap is not the only option.

Sorry, I didn't notice the version 5 of Khmer OS. Thanks for catching that!

Urmas, I can respect the fact that you don't not want extra fonts that you will neither use, nor will even be installed. I wouldn't want what I feel like is a bunch of bloat on my computer either, especially if it's not the language I speak. Your thoughts and suggestions on the matter are welcome.

I hope my proactiveness hasn't come off pushy - that's not my goal. I'm new to contributing to LibreOffice and to programming in C++ in general. My hope is that Laos, as well as Thailand, Cambodia, and Myanmar can have better access to technology via LibreOffice.
Comment 7 Joel Madero 2015-05-02 15:43:15 UTC Comment hidden (obsolete)
Comment 8 Adolfo Jayme 2016-04-09 23:28:39 UTC
(In reply to Robert M Campbell from comment #1)
> DroidSans

Note that the Droid fonts are deprecated and superseded by the Noto fonts.
Comment 9 QA Administrators 2017-05-22 13:25:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522